<?php 

/**
 * 名称：管理员控制器
 * 作者：荷塘月色
 * 邮箱：kujiw@qq.com
 * 说明：
 */

namespace Admin\Controller;
class UserController extends CommonController {
	// 修改自己的密码
	public function savemypwd(){
		$oldpassword = I('oldpassword');
		$password = I('password');
		$passwordtwo = I('passwordtwo');
		if ($passwordtwo != $password) {
			$this -> error('两次密码输入不一致','',true);
		}
		$id = session(C('USER_AUTH_KEY'));
		$m = M('User');
		if (crypt_pwd($oldpassword) == $m -> where('id='.$id) -> getField('password')) {
			if (false !== $m -> where('id='.$id) -> setField('password',crypt_pwd($password))) {
				$this -> success('密码修改成功','',true);
			}else{
				$this -> error($m -> getDbError(),'',true);
			}
		}else{
			$this -> error('密码错误','',true);
		}
	}
}